Subject: [git pull] Please pull powerpc.git merge branch

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 08 Mar 2014 08:04:55 +1100

Hi Linus !

Here are a couple of powerpc fixes for 3.14. One is (another !) nasty TM
problem, we can crash the kernel by forking inside a transaction. The
other one is a simple fix for an alignment issue which can hurt in LE
mode.

Cheers,
Ben.

The following changes since commit e0cf957614976896111e676e5134ac98ee227d3d:

  powerpc/powernv: Fix indirect XSCOM unmangling (2014-02-28 19:15:49 +1100)

are available in the git repository at:

  git://git.kernel.org/pub/scm/linux/kernel/git/benh/powerpc.git merge

for you to fetch changes up to a5b2cf5b1af424ee3dd9e3ce6d5cea18cb927e67:

  powerpc: Align p_dyn, p_rela and p_st symbols (2014-03-07 13:50:19 +1100)

----------------------------------------------------------------
Anton Blanchard (1):
      powerpc: Align p_dyn, p_rela and p_st symbols

Michael Neuling (1):
      powerpc/tm: Fix crash when forking inside a transaction

 arch/powerpc/kernel/process.c  | 9 +++++++++
 arch/powerpc/kernel/reloc_64.S | 1 +
 2 files changed, 10 insertions(+)